2001-04-02 Alexander Kjeldaas <astor@fast.no>

	* International kernel patch 2.4.3.1 released.

2001-03-31 Herbert Valerio Riedel <hvr@gnu.org>

	* Added keylength checks in blowfish_set_key.

2001-03-13 Sebastian Klemke <packet@teenix.int.convergence.de>

	* Updated util-linux patch to 2.11a/b.

2001-02-13 Christoph Hellwig <hch@caldera.de>

	* Moved all initialization to the newstyle module_{init,exit}
	version. Removed one proc support function from cryptoapi.c that
	now exists in 2.2.18.

2001-??-?? Martin Aumuel <lists@reserv.at>
	
	* gen-cbc.h decrypt didn't honour the atomic flag.

2001-01-15 Alexander Kjeldaas <astor@fast.no>

	* International kernel patch 2.4.0.3 released.

w	* cbc-decryption is buggy for in-place decryption.  Bug identified by
	Jari Ruusu <jari.ruusu@pp.inet.fi>.

	* faq.txt updates.

	* man-page updates for util-linux
	
2001-01-15 Martin Douda <martin@douda.net>

	* proper null-termination of passwords in util-linux patch.

2001-01-15 Frank Heckenbach <frank@g-n-u.de>

	* util-linux fixes:
		* --keybits didn't work properly
		* ioctl invokation bug
		* -e none not needed

2001-01-07 Alexander Kjeldaas <astor@fast.no>

	* International kernel patch 2.4.0.2 released.

	* Bug fixes in util-linux patch.  It should now try new-style 
	ioctl and then fall back to old-style if new-style failed.

2001-01-05 Alexander Kjeldaas <astor@fast.no>

	* International kernel patch 2.4.0.1 released.

	* All cipher/digest ID stuff is now gone as it doesn't scale
	(find_*_by_id, CIPHER_XXX, DIGEST_XXX, LO_CRYPT_XXX).

	* Renamed ciphers. They are now loaded based on their names.

	* New util-linux patch which specifies ciphers using names.

	* --pass-fd feature in the util-linux patch by 
	Marc Mutz <marc@mutz.com>

	* loop_gen.c merged with loop.c.

	* Removed cipe and thenon-cryptoapi loop block device crypto
	plugins for the 2.4.x patch.

2000-10-17 Alexander Kjeldaas <astor@fast.no>

	* International kernel patch 2.2.17.10 released.

	* Changes from 2.4 kernel port by Harald Welte
 	<laforge@gnumonks.org> merged. 

	* Added AES-style testvectors "ecb_vk.txt" for all AES finalists.

	* Removed cipher_context->key - nobody was using it. Changed
 	cipher_context->iv from u32[] to u8[].

	* In loop_gen.c: IV for cbc-mode initialized in little-endian
 	manner.  NOTE: This breaks old loopback files on big-endian
 	machines.

	* testing: New option -s to testcip to swab32 the ciphertext
 	before comparisons.  Compile fixes.

2000-10-16 Alexander Kjeldaas <astor@fast.no>

	* International kernel patch 2.2.17.9 released.

	* loop_gen.c fix. Do not check blocksize of a cipher to decide
 	whether it supports encrypting a variable-length block. It always
 	does.

2000-10-14 Alexander Kjeldaas <astor@fast.no>

	* International kernel patch 2.2.17.8 released.

	* Configure.help updates with the AES results.  Patch from Marc
 	Mutz <marc@mutz.com>

	* Cipher list in config organized according to block-size with AES
 	at the top.  Patch from Marc Mutz <marc@mutz.com>

	* The set of allowed key-sizes for a cipher is now exported as a
 	mask in /proc. Constants for allowed key-sizes are defined in
 	crypto.h. Patch from Marc Mutz <marc@mutz.com>
	
	* Ability to build cryptoapi.c as a module was missing from
 	Config.in. Fixed.

	* DEFINE_{DIGEST,CIPHER} et. al. removed and replaced by explicit
 	struct {digest,cipher}_implementation initializations making the
 	code more readable.

	* API change.  Encryp/Decrypt now accepts any input/output byte
 	count.

	* gen-cbc.h changed to allow any input-size for encryption, or
 	output-size for decryption.  When encrypting large blocks,
 	gen-cbc.h will now sleep (you can play music while using an
 	encrypted file-system).  Added gen-ecb.h which implements the same
 	for ECB mode.  All ciphers changed to use gen-ecb.h to implement
 	their ECB mode.

	* Removed old cruft (crypto/cipherapi.c crypto/digestapi.c)

	* crypto/cryptoapi.c implementation made simpler.

	* Crypto API functions are documented in kernel-doc style.

	* crypto/testing updates.  digesttest now compiles. A lot of
 	duplicated functions are now available in misc.c.  None of the
 	programs include glibc headers any more, all necessary functions
 	are declared in libcfuncs.h. New program "testapi" for testing
 	that a cipher deals with the new API.
	
2000-10-03 Alexander Kjeldaas <astor@fast.no>

	* International kernel patch 2.2.17.7 released.

	* speed.c cleanups.

	* The crypto API now compiles when proc support has been disabled.
	
	* AES cipher added.  The AES cipher is implemented by the rijndael
	module, but with a separate cipher id/name.
	
	* Updated Rijndael implementation from Brian Gladman merged.

	* ECB testvectors for rijndael from the AES submission added.

2000-09-28 Alexander Kjeldaas <astor@fast.no>

	* International kernel patch 2.2.17.6 released.

	* Twofish implementation added. Patch from Marc Mutz
	<marc@mutz.com>.

	* loop_gen.c cleanups + plugged memory leak by Marc Mutz
	<marc@mutz.com>.

	* Configure.help updates. Patch from Marc Mutz <marc@mutz.com>

	* New script crypto/testing/aes-test from Marc Mutz tests ciphers
	based on the known-answer test values in NIST format.

	* crypto/testing/speed.c used weak DES-keys for speed-testing. 
	Fixed by patch from Gisle Sælensminde <gisle@ii.uib.no>.

2000-09-25 Alexander Kjeldaas <astor@fast.no>

	* International kernel patch 2.2.17.5 released.

	* Update ChangeLog :-)
	
	* International kernel patch 2.2.17.4 released.	
	
	* Configure.help updates from Marc Mutz <marc@mutz.com>

	* Changed ripe-md160 implementation in the util-linux patch
 	because of license worries. Now uses GnuPG implementation. Patch
 	from Marc Mutz <marc@mutz.com>.

	* util-linux patch can now create more than 160 bits of enthropy
 	for the 3des cipher by first hashing the passphrase, and then
 	hashing the passphrase prepended by the character "A". Patch from
 	Gisle Sælensminde <gisle@ii.uib.no>.

	* rijndael3.c updates from Marc Mutz <marc@mutz.com> should get
 	this cipher working again.

2000-09-19 Alexander Kjeldaas <astor@fast.no>

	* International kernel patch 2.2.17.3 released.

	* Some changes were made to crypto/testing/speed.c to make it
 	compile again after the crypto API changes.

	* des_ede3.c updates from Gisle Sælensminde <gisle@ii.uib.no>
 	containing updated docs on weak/semi-weak keys and how they are
 	handled, some code updates, and testvectors for 3des.
	
	* Received Configure.help updates from Marc Mutz <Marc@Mutz.com>
 	including the AES status of various ciphers and their best known
 	attacks.

2000-09-15 Alexander Kjeldaas <astor@fast.no>

	* International kernel patch 2.2.17.2 released.

	* Added 3DES (DES_EDE3) cipher from Gisle Sælensminde
 	<gisle@ii.uib.no>.  The implementation is based on the
 	DES-implementation already in kerneli so at this point it's not
 	very fast.

2000-09-14 Alexander Kjeldaas <astor@fast.no>

	* International kernel patch 2.2.17.1 released.

	* New util-linux-2.10m.getpass.diff from Hauke Johannknecht
 	<ash@ash.de> that some might want to use. Adds a -k <key> option
 	to losetup.  Not for the security-conscious, but some might want
 	to use it.

2000-08-04 Alexander Kjeldaas <astor@fast.no>

	* International kernel patch 2.2.16.9 released.

	* Fixed gcc 2.9x compile failure of the loop_cast.c module (patch
	by Sverker Wiberg <sverkerw@swipnet.se>).

2000-08-02 Alexander Kjeldaas <astor@fast.no>

	* International kernel patch 2.2.16.8 released.

	* Fixed SMP compile bug. 

2000-07-17 Alexander Kjeldaas <astor@fast.no>

	* International kernel patch 2.2.16.7 released.

	* Merged some bug-fixes from 2.4.0test2.1 patch.

2000-07-10 Alexander Kjeldaas <astor@fast.no>

	* International kernel patch 2.2.16.6 released.

	* Small annoyance when using "make xconfig" fixed by 
	Andreas	Steinmetz <ast@domdv.de>

2000-07-03 Alexander Kjeldaas <astor@fast.no>

	* International kernel patch 2.2.16.5 released.

	* Removed {un,}lock_cipher, {un,}lock_digest functions. Use
	{digest,cipher}_implementation->{un,}lock() directly instead.
	
	* Stopped using linux/lists.h which is depreciated. 
	
	* Merged crypto/cipherapi.c and crypto/digestapi.c into single
	interface cryptoapi.c, saving 4k. Cipher- and digest algorithms
	are now subclasses of a "transform". The old interface is still
	supported for the most part.
	
	* Changed encrypt/decrypt interfaces to use byte-pointers instead
	of int32-pointers. This means that the ciphers should start being
	endian-aware.

2000-06-27 Alexander Kjeldaas <astor@fast.no>

	* International kernel patch 2.2.16.4 released.
	* Fixed build bug that prevented digestapi.c from being built for
	kernels with modules disabled.  Fix by 
	Andreas Steinmetz <ast@domdv.de>
                                                                               
2000-06-19 Alexander Kjeldaas <astor@fast.no>

	* International kernel patch 2.2.16.3 released.
	* Changed generic_rotl and generic_rotr to be macros instead of
 	inline functions. Gcc uses an extra register with the inline
 	functions (noted by Gisle Sælensminde).  
	* Fixed bug in Makefile for SHA1 digest (noted by Walter Hofmann
 	<walter.hofmann@physik.stud.uni-erlangen.de>).

2000-06-19 Gisle Sælensminde <gisle@ii.uib.no>

	* Further serpent implementation optimization.

2000-06-14 Alexander Kjeldaas <astor@fast.no>

	* International kernel patch 2.2.16.2 released.
	* Fixed bug in md5c.c:Decode for big-endian machines. Noted by 
	David Kuestler <kuestler@demi.com.au>.

2000-06-14 Gisle Sælensminde <gisle@ii.uib.no>

	* Faster serpent implementation based on optimized pentium-sboxes
	made by Dag Arne Osvik.

2000-06-14 Hauke Johannknecht <ash@ash.de>

	* Documentation updates (replay.com -> zedz.com)
	* Added util-linux-2.10m.int.patch

2000-06-14  Alexander Kjeldaas  <astor@fast.no>

	* International kernel patch 2.2.16.1 released.
	* International kernel patch 2.2.15.1 released.

2000-02-18  Alexander Kjeldaas  <astor@fast.no>

	* International kernel patch 2.2.14.1 released.

1999-11-23  Alexander Kjeldaas  <astor@fast.no>

	* International kernel patch 2.2.13.3 released.

	* Minor tweak to make sure the FreeSWAN 1.1 release patches cleanly.

1999-11-23  Andrew McDonald <andrew@mcdonald.org.uk> 

	* SHA1 implementation for the digest API added (based on the
 	public domain code by Steve Reid and the md5glue code).

	* Added a digest algorithm test program in linux/crypto/testing/

	* FIX: The blowfish module claimed to have a 128-bit (16 byte)
 	blocksize and IV. The correct number is of course 64-bit.

	* FIX: The working size for MD5 was wrong (too little memory was
 	allocated).

1999-10-25  Alexander Kjeldaas  <astor@fast.no>

	* International kernel patch 2.2.13.2 released.

	* Compile fix for MD5 by Hermann Schichl
	
1999-10-20  Alexander Kjeldaas  <astor@fast.no>

	* International kernel patch 2.2.13.1 released.

	* New upstream kernel release.

1999-09-15  Alexander Kjeldaas  <astor@fast.no>

	* International kernel patch 2.2.12.2 released.

	* Digest API mirroring the cipher API added. Contributed by Alan
 	Smithee.

	* MD5 digest algorithm added.

1999-09-08  Alexander Kjeldaas  <astor@fast.no>

	* International kernel patch 2.2.12.1 released.

1999-09-06  Alexander Kjeldaas  <astor@fast.no>

	* Updated util-linux patch in Documentation/crypto and removed
 	some patches that nobody uses.
	
1999-08-12  Alexander Kjeldaas  <astor@fast.no>

	* International kernel patch 2.2.11.2 released.

	* CIPE can only be built as a module, the make config indicated
 	otherwise.

	* Upgraded to CIPE 1.3.0

	* International kernel patch 2.2.11.1 released.

	* New upstream kernel release.
	
1999-06-24  Alexander Kjeldaas  <astor@fast.no>

        * International kernel patch 2.2.10.4 released.

	* Added new config option for using relative block numbers instead
 	of absolute ones when calling the loop block device's transfer
 	function.  This should fix the #1 issue with using loopback crypto
 	filesystems.

	* Updated Documentation/Configure.help which had erroneous
 	CONFIG_XX variables listed for various ciphers [Thanks to Andrew
 	Pam for spotting this].

	* Added LO_CRYPT_RIJNDAEL and LO_CRYPT_RC5 variables to
 	include/linux/loop.h.

	* Updated the faq to mention rijndael and rc5, as well as how to
 	convert from the old absolute block number stuff to the new
 	relative one.

1999-06-24  Alexander Kjeldaas  <astor@fast.no>

        * International kernel patch 2.2.10.3 released.
	
1999-06-24 Andrew Pam <xanni@glasswings.com.au>

	* Updated util-linux patch to cover 2.9s

1999-06-23  Alexander Kjeldaas  <astor@fast.no>

        * International kernel patch 2.2.10.2 released.
	* Stuff in linux/crypto/testing didn't compile.
	
1999-06-19  Pekka Riikonen  <priikone@poseidon.pspt.fi>

        * Added RC5 cipher.
	
1999-06-18  Alexander Kjeldaas  <astor@fast.no>

        * International kernel patch 2.2.10.1 released.
	* ENskip support didn't compile.

1999-05-21  Alexander Kjeldaas  <astor@fast.no>

        * International kernel patch 2.2.9.1 released.

1998-12-18  Patrice Lacroix  <tootix@writeme.com>

	* Updates to the faq (Documentation/crypto/faq.txt)

1999-04-15  Alexander Kjeldaas  <astor@fast.no>

        * International kernel patch 2.2.5.1 released.
	* Merged with kernel 2.2.5
	* New documentation for loopback crypto in 
	  Documentation/crypto/faq.txt

1999-03-25  Alexander Kjeldaas  <astor@fast.no>

        * International kernel patch 2.2.4.1 released.
	* Merged with kernel 2.2.4

1999-01-29  Alexander Kjeldaas  <astor@guardian.no>

	* International kernel patch 2.2.1.1 released.

1998-01-29  Patrice Lacroix  <tootix@writeme.com>

	* /proc/crypto support.

1999-01-27  Alexander Kjeldaas  <astor@guardian.no>

	* International kernel patch 2.2.0.2 released.

	* missing #endif in net/ipv4/ip_output.c in latest patch
 	fixed. Missing #include <asm/page.h> fixed in crypto.h

1999-01-26  Alexander Kjeldaas  <astor@guardian.no>

	* International kernel patch 2.2.0.1 released.

	* Merged Frank Bernard's latest ENskip patches.

1999-01-18  Alexander Kjeldaas  <astor@guardian.no>

	* International kernel patch 2.2.0-pre7.4 released.

	* Added cbc-mode to cast256 cipher.

	* Removed spam on unload from crypto modules.

	* Added updated ENskip patches from Frank Bernard's web site:
	http://www.linux-firewall.de/enskip/

	* International kernel patch 2.2.0-pre7.3 released.

	* Added missing cleanup_module to DES, Blowfish and IDEA ciphers.

	* International kernel patch 2.2.0-pre7.2 released.

	* Cleanup in drivers/block/Config.in.  It was possible to create
 	an invalid .config file. 

	* Minor crypto/api.c cleanup.

1999-01-17  Alexander Kjeldaas  <astor@guardian.no>

	* International kernel patch 2.2.0-pre7.1 released.

	* Added testcip.c - a general purpose cipher test program.  Added
 	test-vector scripts for Blowfish, DES, Mars, and Serpent. 

	* Naming error left users unable to compile loop_gen unless it was
 	compiled as a module.

	* Updated Serpent implementation.  Sam Simpson has been running a
 	background task on a cluster of high performance servers.  After a
 	search involving around 1000 machine hours improved sboxes were
 	found.

	* Updated RC6 implementation.  Supposedly faster.

	* Updated MARS implementation.  Fixes a bug in mars_set_key.

1999-01-07  Alexander Kjeldaas  <astor@guardian.no>

	* International kernel patch 2.2.0-pre5.1 released.
	* Merged with vanilla 2.2.0-pre5

1999-01-05  Herbert Valerio Riedel <hvr@hvrlab.ml.org>

	* APX fixes.

1999-01-04  Alexander Kjeldaas  <astor@guardian.no>

	* International kernel patch 2.2.0-pre4.1 released.

	* Removed obsolete loop_idea.c and loop_blow.c since IDEA and
 	blowfish algorithms have been added to the crypto library.

	* drivers/block/ll_rw_blk.c: Added loop_gen_init.  loop_gen only
 	worked as a module.

1998-12-30  Alexander Kjeldaas  <astor@guardian.no>

	* crypto/testing/speed.c: i386-specific timer-code removed.

	* crypto configuration added for all architectures (previously
 	only i386 was supported).  However, 64-bit and endian issues needs
 	to be ironed out for a lot of platforms (maybe even i386).

1998-12-29  Alexander Kjeldaas  <astor@guardian.no>

	* International kernel patch 2.2.0-pre1.1 released.
	* International kernel patch 2.1.131.8 released.
	* DES/IDEA compile fixes.

1998-12-29  Raimar Falke <hawk@hawk.shef.ac.uk>

	* DES cipher added.  crypto/testing/speed.c fixes.
	
1998-12-18  Alexander Kjeldaas  <astor@guardian.no>

	* International kernel patch 2.1.131.7 released.

1998-12-18  Raimar Falke <hawk@hawk.shef.ac.uk>

	* include-fixes for IDEA cipher.

1998-12-18  Alexander Kjeldaas  <astor@guardian.no>

	* International kernel patch 2.1.131.6 released.

1998-12-18  Raimar Falke <hawk@hawk.shef.ac.uk>

	* IDEA cipher added.

1998-12-18  Patrice Lacroix  <tootix@writeme.com>

	* My latest patch for modular loop encryption. I think everything
 	is in there. Ciphers are only requested on LOOP_SET_STATUS. Module
 	count is always right (for what I have tested) and unloading now
 	works.

1998-12-17  Alexander Kjeldaas  <astor@guardian.no>

	* International kernel patch 2.1.131.5 released.

1998-12-17  Raimar Falke <hawk@hawk.shef.ac.uk>

	* Extracted the blowfish code from loop_blow and made a
 	cipher-module of it.

1998-12-17  Alexander Kjeldaas  <astor@guardian.no>

	* Removed loop_serpent, loop_mars, loop_dfc and loop_rc6 since
 	their funcionality is available through loop_gen.

1998-12-16  Alexander Kjeldaas  <astor@guardian.no>

	* Removed loop_idea from the configuration menus.  It hasn't been
 	converted to the new API.

1998-12-14  Alexander Kjeldaas  <astor@guardian.no>

	* Fixes to the rijndael cipher.  It builds, but isn't working
 	properly so it it disabled for the moment.  The cipher is from
 	Dr. Brian Gladman <gladman@seven77.demon.co.uk> AES
 	reimplementation project.  More information on rijndael:
 	http://www.esat.kuleuven.ac.be/~rijmen/rijndael/ Rijndael is free.
	
1998-12-14  Patrice Lacroix  <tootix@writeme.com>

	* More modular ciphers/loop patches. Cipher locking fixes.
  	Autoloading of ciphers.  More loop and loop_gen integration.

1998-12-14  Alexander Kjeldaas  <astor@guardian.no>

	* International kernel patch 2.1.131.4 released.

	* Added util-linux-2.9e patch to Documentation/crypto that makes
 	all the loopback ciphers available to the losetup utility.

1998-12-12  Alexander Kjeldaas  <astor@guardian.no>

	* International kernel patch 2.1.131.3 released.

	* Added the popular CIPE (crypto IP encapsulation) made by 
	Olaf Titz <olaf@bigred.inka.de>

        * Previous patch wouldn't build.  International kernel patch
        2.1.131.2 released.

1998-12-11  Alexander Kjeldaas  <astor@guardian.no>

	* International kernel patch 2.1.131.1 released.

	* Clear sensitive memory before kfree in generel loop module.  New
 	upstream kernel.

1998-12-11  Patrice Lacroix  <tootix@writeme.com>

	* Modular ciphers

1998-11-30  Alexander Kjeldaas  <astor@guardian.no>

	* International kernel patch 2.1.130.1 released.

	* loop-devices other than loop_gen updated to use new interface.
  	However, the block-number isn't used for anything yet.

	* loop_gen.c: Now we use the ciphers in cbc-mode only.  Also, the
 	IV of the cipher is initialized based on block-number.

	* Added general cbc-mode that is simply #included into the
 	ciphers. cbc-mode thus added to serpent, mars, rc6 and dfc.

	* Added ivsize to struct cipher_implementation.

	* Added for_each_cipher function

	* Added X11-like license for the crypto-directory.  The code might
 	be useable for other projects as well in the future.  [And GPL is
 	arguable the wrong license for crypto].

1998-11-25  Alexander Kjeldaas  <astor@guardian.no>

	* The crypto api is useable from modules.

	* Fixed a bunch of bugs in loop_gen. I think the oopses are gone.

1998-11-23  Alexander Kjeldaas  <astor@guardian.no>

	* International kernel patch 2.1.129.4 released.

	* Added crypto/testing/speed.c to test the speed of the different
 	crypto algorithms.

	* cast256, crypton, rijndael, safer, and twofish added, but they
 	are not yet completely ported to the crypto-library.

	* Updated implementations of MARS, DFC, RC6 and SERPENT.

1998-11-22  Alexander Kjeldaas  <astor@guardian.no>

	* International kernel patch 2.1.129.3 released.

	* "loop_gen" - skeleton of general loop crypto driver added

	* Made loop-modules for DFC, MARS, and RC6

	* Added DFC, MARS, and RC6 to crypto library

	* International kernel patch 2.1.129.2 released.

	* Updated documentation to show which loopback modules are ECB 
          and which are CBC. 
 
	* Kernel crypto library on its way.  Serpent is the first member. 
 
	* Changed memcpy to memset in loop_blow.c to close a possible 
        plaintext leak. 

1998-11-20  Alexander Kjeldaas  <astor@guardian.no>

	* New upstream kernel release 2.1.129

1998-11-13  Alexander Kjeldaas  <astor@guardian.no>

	* New upstream kernel release 2.1.128

1998-11-09  Alexander Kjeldaas  <astor@guardian.no>

	* New upstream kernel release 2.1.127

1998-10-12  Alexander Kjeldaas  <astor@guardian.no>

	* drivers/block/loop_serpent.c: Made wrapper-module for the
 	serpent cipher.

	* crypto/serpent.c crypto/serpent_f_box.h}: Added serpent
 	implementation from Dr. B R Gladman <gladman@seven77.demon.co.uk>
 	AES reimplementation project.

	* drivers/block/Config.in: Loopback crypto flagged experimental

1998-10-09  Alexander Kjeldaas  <astor@guardian.no>

	* International kernel patch 2.1.125.1 released.

	* New upstream kernel release 2.1.125

1998-10-08  Alexander Kjeldaas  <astor@guardian.no>

	* International kernel patch 2.1.124.2 released.

	* Added Andi Kleene's loop fixes.  Updated twofish, blowfish and
 	cast128 modules to use the new lock/unlock interface.

1998-10-07  Alexander Kjeldaas  <astor@guardian.no>

	* Ported loop_cast.c to the new loopback API interface.

	* Blowfish and Twofish can be compiled in instead of being
 	modules.

	* Added cast and idea to the config-system.

	* Wrote Configure.help entries for the loop crypto patches.

1998-10-05  Alexander Kjeldaas  <astor@guardian.no>

	* International kernel patch 2.1.124.1 released.

	* Added cast128 and idea loopback modules from Andrew E. Mileski's
 	<aem@netcom.ca> loop-13.tar.gz package.

	* Added latest ENskip patches from Bob Tracy <rct@frus.com>

1998-10-05  Ingo Rohloff  <rohloff@informatik.tu-muenchen.de>

	* Fixed bug in loop.c regarding handling of calls to
 	loop_release_xfer()

	* Added modules for blowfish and twofish to the loopback
 	filesystem
